差分

この文書の現在のバージョンと選択したバージョンの差分を表示します。

linux:netcdf 2013/11/07 16:06 linux:netcdf 2013/11/07 16:09 現在
ライン 33: ライン 33:
なんじゃ、そりゃあ? なんじゃ、そりゃあ?
<code sh> <code sh>
-$ cat INSTALL+$ tar zxvf ~/archive/netcdf-4.3.0.tar.gz 
 +$ cd netcdf-4.3.0 
 +$ ./configure --prefix=/usr/local --disable-netcdf-4
. .
. .
. .
-2 Quick Instructions for Installing NetCDF on Unix +$ make
-************************************************** +
- +
-Who has time to read long installation manuals these days? +
- +
-  To install netCDF, uncompress and unpack the tar file, then change to +
-the src directory: +
- +
-    gunzip netcdf-3.6.1.tar.gz +
-    tar -xf netcdf-3.6.1.tar +
-    cd netcdf-3.6.1/src +
- +
-  Now run the usual configure, make check, make install cycle: +
- +
-    ./configure +
-    make check +
-    make install +
. .
. .
. .
-</code> +$ make -n install
- +
-あっ、そっか、そっか、 +
-<code sh> +
-$ ./configure --prefix=/usr/local +
-$ make check+
. .
. .
. .
-&lt;/code&gt+echo '| If you have not already run &quot;make check&quot;, then we strongly  |' 
- +echo '| recommend you do so. It does not take very long.            |'
-えっ、そう言うことじゃなくて? +
-<code sh> +
-$ cat INSTALL+
. .
. .
. .
-3.1 Installation Requirements 
-. 
-. 
-. 
-  To fully work with the netCDF source code, several extra utilities 
-are required to fully build everything from source. If you are going to 
-modify the netCDF source code, you will need some or all of the 
-following Unix tools. 
- 
-`m4' 
-    Macro processing language used heavily in libsrc, nc_test. 
-    Generates (in these cases) C code from m4 source. Version 1.4 
-    works fine with release 3.5.1 through 3.6.1. 
- 
-`nm' 
-    Lists contents of an "object" file. GNU nm does not mix well with 
-    vendor compilers in the 64-bit world, so make sure that you are 
-    using GNU nm with GNU compilers, or a vendor nm with your vendor 
-    compiler. 
- 
-`ar' 
-    Creates libraries. GNU ar does not mix well with vendor compilers 
-    in the 64-bit world, so make sure that you are using GNU ar with 
-    GNU compilers, or a vendor ar with your vendor compiler. 
- 
- 
-  The following tools are not required to build netCDF. They may be 
-needed if you intend to work with the netCDF source code as a developer. 
-. 
-. 
-. 
- 
</code> </code>
 +あ、すんまへん。
-もしかして、 
-<code sh> 
-$ m4 
-プログラム 'm4' はまだインストールされていません。  次のように入力することでインストールできます: 
-sudo apt-get install m4 
-$  
-</code> 
-  
linux/netcdf.txt · 最終更新: 2013/11/07 16:09 by kimi
www.chimeric.de Creative Commons License Valid CSS Driven by DokuWiki do yourself a favour and use a real browser - get firefox!! Recent changes RSS feed Valid XHTML 1.0